## openvswitch 1.2.0

=== debian/changelog ===
openvswitch (1.2.0-1ubuntu3) oneiric; urgency=low

  * Fix on debian/dkms.conf.in (LP: #829250)
    - Merged changes in upstream for DKMS build to fix
      problem building with kernel 3.0

 -- Marc Cluet <marc.cluet@ubuntu.com>  Fri, 26 Aug 2011 16:48:37 +0100

openvswitch (1.2.0-1ubuntu2) oneiric; urgency=low

  * Fix on openvswitch-controller.init (LP: #822142)
    - Make sure we have a directory under /var/run to create the
      pidfile for openvswitch-controller, backported from upstream

 -- Marc Cluet <marc.cluet@ubuntu.com>  Tue, 23 Aug 2011 16:07:49 +0100

openvswitch (1.2.0-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/rules, debian/contro, debian/dkms.conf.in,
      debian/openvswitch-datapath.dkms.(postinst, prerm):
      Add dkms support by providindg openvswitch-datapath-dkms

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 04 Aug 2011 17:03:23 +0000

openvswitch (1.2.0-1) unstable; urgency=low

  [ Open vSwitch team ]
  * New upstream version
    - New "ofproto" abstraction layer to ease porting to hardware
      switching ASICs.
    - Packaging for Red Hat Enterprise Linux 5.6 and 6.0.
    - Datapath support for Linux kernels up to 3.0.
    - OpenFlow:
      - New "bundle" and "bundle_load" action extensions.
    - Database:
      - Implement table unique constraints.
      - Support cooperative locking between callers.
    - ovs-dpctl:
      - New "-s" option for "show" command prints packet and byte
        counters for each port.
    - ovs-ofctl:
      - New "--readd" option for "replace-flows".
    - ovs-vsctl:
      - New "show" command to print an overview of configuration.
      - New "comment" command to add remark that explains intentions.
    - ovs-brcompatd has been rewritten to fix long-standing bugs.
    - ovs-openflowd has been renamed test-openflowd and moved into the
      tests directory.  Its presence confused too many users.  Please
      use ovs-vswitchd instead.
    - New ovs-benchmark utility to test flow setup performance.
    - A new log level "off" has been added.  Configuring a log facility
      "off" prevents any messages from being logged to it.  Previously,
      "emer" was effectively "off" because no messages were ever logged at
      level "emer".  Now, errors that cause a process to exit are logged
      at "emer" level.
    - "configure" option --with-l26 has been renamed --with-linux, and
      --with-l26-source has been renamed --with-linux-source.  The old
      names will be removed after the next release, so please update
      your scripts.
    - The "-2.6" suffix has been dropped from the datapath/linux-2.6 and
      datapath/linux-2.6/compat-2.6 directories.
    - Feature removals:
      - Dropped support for "tun_id_from_cookie" OpenFlow extension.
        Please use the extensible match extensions instead.
      - Removed the Maintenance_Point and Monitor tables in an effort
        to simplify 802.1ag configuration.
    - Performance and scalability improvements
    - Bug fixes

 -- Open vSwitch team <dev@openvswitch.org>  Wed, 03 Aug 2011 14:43:00 +0000

openvswitch (1.1.1-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/rules, debian/contro, debian/dkms.conf.in,
      debian/openvswitch-datapath.dkms.(postinst, prerm):
      Add dkms support by providindg openvswitch-datapath-dkms.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 15 Jun 2011 12:01:42 +0100

openvswitch (1.1.1-1) unstable; urgency=low

  [ Open vSwitch team ]
  * Bug fixes.

  [ Simon Horman ]
  * docs: Suppress warning marcro DD not defined
    (upstream commit 58f870d0)
  * debian: Make openvswitch depend on Python
    (upstream commit aa41cb61)
  * debian: Don't begin openvswitch-pki description with article.
    (upstream commit bc6bb66)
  * Debian: Add ${misc:Depends} dependency to python-openvswitch
  * Debian: Update standards version from 3.9.1 to 3.9.2
  * Debian: ${source:Version} dependency on python openvswitch
  * Debian: ${source:Version} dependency for python openvswitch
  * Switch to dpkg-source 3.0 (quilt) format
    - For local non-debian/ patches (above)

 -- Simon Horman <horms@debian.org>  Wed, 15 Jun 2011 10:46:15 +0900

openvswitch (1.1.0-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/rules, debian/contro, debian/dkms.conf.in,
      debian/openvswitch-datapath.dkms.(postinst, prerm):
      Add dkms support by providindg openvswitch-datapath-dkms.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 02 May 2011 14:14:17 +0100

openvswitch (1.1.0-1) unstable; urgency=low

  [ Open vSwitch team ]
  * New upstream version
    - Ability to define policies over IPv6
    - LACP
    - 802.1ag CCM
    - Support for extensible match extensions to OpenFlow
    - QoS:
      - Support for HFSC qdisc.
      - Queue used by in-band control can now be configured.
    - Kernel:
      - Kernel<->userspace interface has been reworked and should be
        close to a stable ABI now.
      - "Port group" concept has been dropped.
    - GRE over IPSEC tunnels
    - Bonding:
      - New active backup bonding mode.
      - New L4 hashing support when LACP is enabled.
      - Source MAC hash now includes VLAN field also.
      - miimon support.
    - Greatly improved handling of large flow tables
    - ovs-dpctl:
      - "show" command now prints full vport configuration.
      - "dump-groups" command removed since kernel support for
        port groups was dropped.
    - ovs-vsctl:
      - New commands for working with the new Managers table.
      - "list" command enhanced with new formatting options and --columns
        option.
      - "get" command now accepts new --id option.
      - New "find" command.
    - ovs-ofctl:
      - New "queue-stats" command for printing queue stats.
      - New commands "replace-flows" and "diff-flows".
      - Commands to add and remove flows can now read from files.

