## openvswitch 1.2.2

=== debian/changelog ===
openvswitch (1.2.2-2) unstable; urgency=low

  * Move python code from usr/share/pyshared/ovs/ to
    usr/lib/python2.4/site-packages/ovs/

 -- Simon Horman <horms@debian.org>  Sat, 01 Oct 2011 12:39:50 +0900

openvswitch (1.2.2-1) unstable; urgency=low

  * New upstream version
    - Various bug fixes
    - Correct path to ovs-controller in init script.
      (closes: #642206)

 -- Open vSwitch team <dev@openvswitch.org>  Tue, 20 Sep 2011 23:51:00 +0000

openvswitch (1.2.1-3) unstable; urgency=low

  * Allow the openvswitch-switch init script to fail gracefully
    if the openvswitch_mod module can't be loaded. This avoids
    failure to install the openvswitch-switch package in the case
    where the module isn't available.

    This resolves a regression between 1.1.1 and 1.2.1.

 -- Simon Horman <horms@debian.org>  Tue, 06 Sep 2011 09:08:31 +0900

openvswitch (1.2.1-2) unstable; urgency=low

  * Install python modules into /usr/share/pyshared/ovs/
    rather than usr/share/pyshared/python-openvswitch/ovs/
    This allows them to be found using the default sys.path
    as they were able to be found befoer the dh_python2 transition
    was made.

    This resolves a problem whereby openvswitch-ipsec fails
    to start because it can't import the ovs.db module.

 -- Simon Horman <horms@debian.org>  Fri, 26 Aug 2011 09:34:08 +0900

openvswitch (1.2.1-1) unstable; urgency=low

  * New upstream version
    - Various bug fixes
    - Remove excess files from ovsdbmonitor package
      (closes: #636816)
  * Add dependency on ${misc:Depends} to openvswitch-brcompat and ovsdbmonitor.
  * Resolve manpage warnings
  * Transition to dh_python2
  * Set -e in brcompat's postinst script so that it doesn't ignore errors

 -- Simon Horman <horms@debian.org>  Wed, 24 Aug 2011 09:39:15 +0900
