=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: openvswitch
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Open vSwitch developers <dev@openvswitch.org>
+Maintainer: Open vSwitch developers <dev@openvswitch.org>
 Uploaders: Ben Pfaff <pfaffben@debian.org>, Simon Horman <horms@debian.org>
 Build-Depends:
  debhelper (>= 5), autoconf (>= 2.64), automake (>= 1.10) | automake1.10, 
- libssl-dev, pkg-config (>= 0.21), po-debconf, bzip2, openssl, python,
- python-support (>= 0.8.4), procps, python-qt4,
+ libssl-dev, pkg-config (>= 0.21), po-debconf, bzip2, openssl,
+ python (>= 2.6.6-3), procps, python-qt4,
  python-zopeinterface, python-twisted-conch
 Standards-Version: 3.9.2
 Homepage: http://openvswitch.org/
@@ -24,19 +23,8 @@
  .
  Open vSwitch is a full-featured software-based Ethernet switch.
 
-Package: openvswitch-datapath-dkms
-Architecture: all
-Depends: dkms (>= 1.95), make, ${misc:Depends}
-Description: Source code for Open vSwitch datapath Linux module - dkms version
- This package provides the Open vSwitch datapath module source code
- that is needed by openvswitch-switch.  The kernel module can be built
- from it using module-assistant or make-kpkg.  README.Debian in this
- package provides further instructions.
- .
- This package contains the source to be built with dkms.
-
 Package: openvswitch-common
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends}, openssl, ${misc:Depends}, python
 Suggests: ethtool
 Description: Open vSwitch common components
@@ -46,7 +34,7 @@
  Open vSwitch is a full-featured software-based Ethernet switch.
 
 Package: openvswitch-switch
-Architecture: any
+Architecture: linux-any
 Suggests: openvswitch-datapath-module
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, openvswitch-common (= ${binary:Version}), module-init-tools, procps, uuid-runtime
 Description: Open vSwitch switch implementations
@@ -56,9 +44,9 @@
  Open vSwitch is a full-featured software-based Ethernet switch.
 
 Package: openvswitch-ipsec
-Architecture: any
+Architecture: linux-any
 Depends:
- ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, 
+ ${shlibs:Depends}, ${misc:Depends}, python,
  ipsec-tools (>=0.8~alpha20101208), 
  racoon (>=0.8~alpha20101208),
  openvswitch-common (= ${binary:Version}),
@@ -83,7 +71,7 @@
  Open vSwitch is a full-featured software-based Ethernet switch.
 
 Package: openvswitch-controller
-Architecture: any
+Architecture: linux-any
 Depends:
  ${shlibs:Depends}, openvswitch-common (= ${binary:Version}),
  openvswitch-pki (= ${source:Version}), ${misc:Depends}
@@ -95,7 +83,8 @@
 
 Package: openvswitch-brcompat
 Architecture: linux-any
-Depends: ${shlibs:Depends}, openvswitch-switch (= ${binary:Version})
+Depends:
+ ${shlibs:Depends}, openvswitch-switch (= ${binary:Version}), ${misc:Depends}
 Recommends: bridge-utils
 Description: Open vSwitch bridge compatibility support
  openvswitch-brcompat provides a way for applications that use the
@@ -110,7 +99,7 @@
 
 Package: openvswitch-dbg
 Section: debug
-Architecture: any
+Architecture: linux-any
 Depends:
  ${shlibs:Depends}, ${misc:Depends},
  openvswitch-common (= ${binary:Version}),
@@ -126,15 +115,13 @@
 Architecture: all
 Section: python
 Depends: ${misc:Depends}, ${python:Depends}
-Provides: ${python:Provides}
 Description: Python bindings for Open vSwitch
  This package contains the full Python bindings for Open vSwitch database.
 
 Package: ovsdbmonitor
 Architecture: all
 Section: utils
-Depends: ${python:Depends}, python-openvswitch
-Provides: ${python:Provides}
+Depends: ${python:Depends}, python-openvswitch, ${misc:Depends}
 Description: Open vSwitch graphical monitoring tool
  This package is a GUI tool for monitoring and troubleshooting local
  or remote Open vSwitch installations.  It presents GUI tables that
