## openvswitch 1.4.0

=== debian/changelog ===
openvswitch (1.4.0-1ubuntu1.3) precise-proposed; urgency=low

   * debian/patches/lp1044318-Reset-upper-layer-protocol-info.patch: Cherry
     picked upstream patch to avoid critical issues with SNAT/DNAT when OVS
     is chained with other Linux components. (LP: #1044318)

 -- Adam Gandelman <adamg@canonical.com>  Fri, 07 Sep 2012 15:38:56 -0700

openvswitch (1.4.0-1ubuntu1.2) precise-proposed; urgency=low

  * debian/patches/fix_ftbfs_big_endian.patch: Fix FTBFS on PPC.

 -- Adam Gandelman <adamg@canonical.com>  Thu, 26 Jul 2012 11:23:06 -0700

openvswitch (1.4.0-1ubuntu1.1) precise-proposed; urgency=low

  * debian/patches/update_odputil_key_bytes.patch: Update odp-util flow
    key bytes to match the current kernel.  Cherry-picked from upstream commit
    cf8285a36. (LP: #1021530)

 -- Adam Gandelman <adamg@canonical.com>  Mon, 16 Jul 2012 11:06:23 -0700

openvswitch (1.4.0-1ubuntu1) precise; urgency=low

  * Merged from debian unstable (LP: #925611), remaining changes are:
    * debian/control: Recommend openvswitch-datapath-dkms.
      (LP: #894754) 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 13 Feb 2012 09:41:54 -0500

openvswitch (1.4.0-1) unstable; urgency=low
  [ Open vSwitch team ]
  * New upstream version
    - New "VLAN splinters" feature to work around buggy device drivers
      in old Linux versions.  (This feature is deprecated.  When
      broken device drivers are no longer in widespread use, we will
      delete this feature.)  See ovs-vswitchd.conf.db(5) for more
      information.
    - OpenFlow:
       - Added ability to match on IPv6 flow label through NXM.
       - Added ability to match on ECN bits in IPv4 and IPv6 through NXM.
       - Added ability to match on TTL in IPv4 and IPv6 through NXM.
       - Added ability to modify ECN bits in IPv4.
       - Added ability to modify TTL in IPv4.
    - ovs-vswitchd:
       - Don't require the "normal" action to use mirrors.  Traffic will
         now be properly mirrored for any flows, regardless of their
         actions.
       - Track packet and byte statistics sent on mirrors.
    - ovs-appctl:
      - New "fdb/flush" command to flush bridge's MAC learning table.
    - ovs-test:
      - A new distributed testing tool that allows one to diagnose performance
        and connectivity issues. This tool currently is not included in RH or
        Xen packages.
    - RHEL packaging now supports integration with Red Hat network scripts.
    - Debian: Depend on python (>= 2.7) | python-argparse instead of
              python-argparse to avoid pulling in python2.6
              (closes: #653645)

 -- Open vSwitch team <dev@openvswitch.org>  Mon, 30 Jan 2012 23:36:00 +0000

openvswitch (1.3.0-1) unstable; urgency=low
  [ Open vSwitch team ]
  * New upstream version
    - OpenFlow:
      - Added an OpenFlow extension which allows the "output" action to accept
        NXM fields.
      - Added an OpenFlow extension for flexible learning.
      - Bumped number of NXM registers from four to five.
    - ovs-appctl:
      - New "version" command to determine version of running daemon.
      - If no argument is provided for "cfm/show", displays detailed
        information about all interfaces with CFM enabled.
      - If no argument is provided for "lacp/show", displays detailed
        information about all ports with LACP enabled.
    - ovs-vswitchd:
      - The software switch now supports 255 OpenFlow tables, instead
        of just one.  By default, only table 0 is consulted, but the
        new NXAST_RESUBMIT_TABLE action can look up in additional
        tables.  Tables 128 and above are reserved for use by the
        switch itself; please use only tables 0 through 127.
      - Add support for 802.1D spanning tree (STP).
    - Fragment handling extensions:
      - New OFPC_FRAG_NX_MATCH fragment handling mode, in which L4
        fields are made available for matching in fragments with
        offset 0.
      - New NXM_NX_IP_FRAG match field for matching IP fragments (usable
        via "ip_frag" in ovs-ofctl).
      - New ovs-ofctl "get-frags" and "set-frags" commands to get and set
        fragment handling policy.
    - CAPWAP tunneling now supports an extension to transport a 64-key.  By
      default it remains compatible with the old version and other
      standards-based implementations.
    - Flow setups are now processed in a round-robin manner across ports
      to prevent any single client from monopolizing the CPU and conducting
      a denial of service attack.
    - Added support for native VLAN tagging.  A new "vlan_mode"
      parameter can be set for "port". Possible values: "access",
      "trunk", "native-tagged" and "native-untagged".
    - test-openflowd has been removed.  Please use ovs-vswitchd instead.

 -- Open vSwitch team <dev@openvswitch.org>  Mon, 09 Dec 2011 23:36:00 +0000

openvswitch (1.2.2-2ubuntu2) precise; urgency=low

  * debian/control: Recommend openvswitch-datapath-dkms.
    (LP: #894754) 

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 04 Dec 2011 14:31:40 -0500

openvswitch (1.2.2-2ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - debian/rules, debian/control, debian/dkms.conf.in,
      debian/openvswitch-datapath.dkms.(postinst, prerm):
      Add dkms support by providindg openvswitch-datapath-dkms.
    - Make sure we have a directory under /var/run to create the
      pidfile for openvswitch-controller, backported from upstream
    - debian/patches/004-ssl-fix.patch: Fix build with ssl.

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 06 Nov 2011 06:09:25 +0000

openvswitch (1.2.1-3ubuntu1) precise; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/rules, debian/contro, debian/dkms.conf.in,
      debian/openvswitch-datapath.dkms.(postinst, prerm):
      Add dkms support by providindg openvswitch-datapath-dkms.
    - Make sure we have a directory under /var/run to create the

