=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: openvswitch
 Section: net
 Priority: extra
-Maintainer: Open vSwitch developers <dev@openvswitch.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Open vSwitch developers <dev@openvswitch.org>
 Uploaders: Ben Pfaff <pfaffben@debian.org>, Simon Horman <horms@debian.org>
 Build-Depends:
  debhelper (>= 5), autoconf (>= 2.64), automake (>= 1.10) | automake1.10, 
@@ -15,7 +16,7 @@
 Architecture: all
 Depends: module-assistant, bzip2, debhelper (>= 5.0.37), ${misc:Depends}
 Suggests: openvswitch-switch
-Description: Source code for Open vSwitch datapath Linux module
+Description: Open vSwitch datapath module source - module-assistant version
  This package provides the Open vSwitch datapath module source code
  that is needed by openvswitch-switch.  The kernel module can be built
  from it using module-assistant or make-kpkg.  README.Debian in this
@@ -23,9 +24,19 @@
  .
  Open vSwitch is a full-featured software-based Ethernet switch.
 
+Package: openvswitch-datapath-dkms
+Architecture: all
+Depends: dkms (>= 1.95), make, ${misc:Depends}
+Description: Open vSwitch datapath module source - DKMS version
+ This package provides the Open vSwitch datapath module source code
+ that is needed by openvswitch-switch.  DKMS can built the kernel
+ module from it.
+
 Package: openvswitch-common
 Architecture: linux-any
-Depends: ${shlibs:Depends}, openssl, ${misc:Depends}, python
+Depends:
+ ${shlibs:Depends}, openssl, ${misc:Depends}, python,
+ python (>= 2.7) | python-argparse
 Suggests: ethtool
 Description: Open vSwitch common components
  openvswitch-common provides components required by both openvswitch-switch
@@ -35,7 +46,7 @@
 
 Package: openvswitch-switch
 Architecture: linux-any
-Suggests: openvswitch-datapath-module
+Recommends: openvswitch-datapath-dkms
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, openvswitch-common (= ${binary:Version}), module-init-tools, procps, uuid-runtime
 Description: Open vSwitch switch implementations
  openvswitch-switch provides the userspace components and utilities for
@@ -130,3 +141,12 @@
  to "ovs-vsctl list <table>").
  .
  Open vSwitch is a full-featured software-based Ethernet switch.
+
+Package: openvswitch-test
+Architecture: all
+Depends: ${misc:Depends}, python-twisted-web, python (>= 2.7) | python-argparse
+Description: Open vSwitch test package
+ This package contains utilities that are useful to diagnose
+ performance and connectivity issues in Open vSwitch setup.
+ .
+ Open vSwitch is a full-featured software-based Ethernet switch.
