=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,11 @@
 
 # Official build number.  Leave set to 0 if not an official build.
 BUILD_NUMBER = 0
+
+PACKAGE=openvswitch
+pdkms=openvswitch-datapath-dkms
+DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([0-9]:)*([^-]+).*,\2,p')
+srcfiles := $(filter-out debian, $(wildcard * .[^.]*))
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 PARALLEL = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -82,6 +87,16 @@
 	chmod 755 debian/openvswitch-datapath-source/usr/src/modules/openvswitch-datapath/debian/rules
 	cd debian/openvswitch-datapath-source/usr/src && tar -c modules | bzip2 -9 > openvswitch-datapath.tar.bz2 && rm -rf modules
 
+	#dkms stuff
+	# setup the dirs
+	dh_installdirs -p$(pdkms) usr/src/$(PACKAGE)-$(DEB_UPSTREAM_VERSION)
+
+	# copy the source
+	cd debian/$(pdkms)/usr/src/$(PACKAGE)-$(DEB_UPSTREAM_VERSION) && tar xvzf $(CURDIR)/_debian/openvswitch.tar.gz && mv openvswitch/* . && rmdir openvswitch
+
+	# Prepare dkms.conf from the dkms.conf.in template
+	sed "s/__VERSION__/$(DEB_UPSTREAM_VERSION)/g" debian/dkms.conf.in > debian/$(pdkms)/usr/src/$(PACKAGE)-$(DEB_UPSTREAM_VERSION)/dkms.conf
+
 install-arch: build-arch
 	dh_testdir
 	dh_testroot
@@ -105,7 +120,7 @@
 	dh_installinit -R -Nopenvswitch-switch
 	dh_installinit -R -popenvswitch-switch --error-handler=init_script_error
 	dh_installcron
-	dh_installman
+	dh_installman --language=C
 	dh_link
 	dh_strip --dbg-package=openvswitch-dbg
 	dh_compress
