## openvswitch 1.4.2+git20120612

=== debian/changelog ===
openvswitch (1.4.2+git20120612-9.1~deb7u1.1) stable-proposed-updates; urgency=medium

  * Non-maintainer upload.
  * Fix "openvswitch-datapath-dkms fails to build on Debian 7.7 3.2.0-4- amd64
    (3.2.63-2+deb7u1)" import Chris J. Arges' patch for tunnel.c
    (Closes: #768095)

 -- Jonathan Dupart <jonathan@dupart.org>  Sun, 23 Nov 2014 14:57:32 +0100

openvswitch (1.4.2+git20120612-9.1~deb7u1) wheezy-proposed-updates; urgency=low

  * Rebuild for Wheezy.

 -- Thomas Goirand <zigo@debian.org>  Sat, 29 Jun 2013 17:34:59 +0000

openvswitch (1.4.2+git20120612-9.1) unstable; urgency=low

  * Non-maintainer upload, with previous approval from Ben Pfaff.
  * Adds datapath patch: Reset upper layer protocol info on internal devices
    (Closes: #714080).

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Jun 2013 09:52:45 +0000

openvswitch (1.4.2+git20120612-9) unstable; urgency=low

  * Apply bug-684057-ovs-ctl-Add-support-for-newer-module-name.patch to
    allow use of the openvswitch kernel module integrated into 3.3 and
    later.  Closes: #684057.

 -- Ben Pfaff <pfaffben@debian.org>  Mon, 06 Aug 2012 16:59:01 -0700

openvswitch (1.4.2+git20120612-8) unstable; urgency=low

  * Apply further patches to fix bugs resulting from moving
    /etc/openvswitch/conf.db to /var/lib/openvswitch in -7.
    
    This required applying the following bug fix patches:

    bug-681880-3-Make-the-location-of-the-database-separately-configu.patch
    bug-681880-4-tests-Slightly-generalize-utility-function-tests.patch
    bug-681880-5-util-New-function-follow_symlinks.patch
    bug-681880-6-lockfile-Be-more-forgiving-about-lockfiles-for-symli.patch
    bug-681880-7-ovsdb-Do-not-replace-symlinks-by-regular-files-durin.patch
    bug-681880-8-Fix-a-typo-in-commit-f973f2af2.patch
    bug-681880-9-dirs-dbdir-default-must-be-based-on-sysconfdir.patch

  * debian/rules: Configure /var/lib/openvswitch as the database directory
    instead of working through symlinks.  (The symlinks are still created
    for compatibility with people and existing software that are
    accustomed to seeing the database in its original location, but the
    Debian packages themselves never use the symlinks.)

  * debian/openvswitch-switch.postrm: Also remove
    /ec/openvswitch/system-id.conf and conf.db backups on purge.

  * utilities/ovs-pki.in: Use mode 0700 instead of 0733 for
    openvswitch-pki "incoming" directory, by applying
    bug-683665-use-mode-700-for-pki-incoming-dir.patch.  See the patch for
    complete rationale.  Closes: #683665.  Thanks to Andreas Beckmann
    <debian@abeckmann.de> for reporting this bug.

  * debian/openvswitch-pki.postinst: Change mode of existing "incoming"
    directories to 0700 at configure time (see above).

 -- Ben Pfaff <pfaffben@debian.org>  Wed, 01 Aug 2012 11:20:21 -0700

openvswitch (1.4.2+git20120612-7) unstable; urgency=low

  * Move /etc/openvswitch/conf.db to /var/lib/openvswitch, using symlinks.
    Closes: #681880.  Thanks to Bastian Blank <waldi@debian.org> for
    reporting this bug.
    
    This required applying the following bug fix patches:

    bug-681880-1-lockfile-Fix-hang-locking-through-a-dangling-symlink.patch
    bug-681880-2-ovsdb-Make-ovsdb-tool-create-work-through-a-dangling.patch

  * Start the rest of OVS if bridge compatibility is enabled but the
    kernel bridge module cannot be loaded.  Closes: #681955.  Thanks to
    Bastian Blank <waldi@debian.org> for reporting this bug.
    
    This was fixed by applying the following bug fix patch:

    bug-681955-ovs-ctl-Start-the-rest-of-Open-vSwitch.patch    

 -- Ben Pfaff <pfaffben@debian.org>  Fri, 27 Jul 2012 12:36:03 -0700

openvswitch (1.4.2+git20120612-6) unstable; urgency=low

  * utilities/automake.mk: Fix duplicate mention of ovs-vsctl in
    bin_PROGRAMS and bin_SCRIPTS; it should only have been in the former.
    Closes: #682384.  Thanks to Bastian Blank <waldi@debian.org> for
    reporting this bug.

 -- Ben Pfaff <pfaffben@debian.org>  Mon, 23 Jul 2012 09:46:41 -0700

openvswitch (1.4.2+git20120612-5) unstable; urgency=low

  * debian/openvswitch-controller.postrm: Remove configuration files in
    /etc/openvswitch-controller on purge.  Closes: #682187.  Thanks to
    Andreas Beckmann <debian@abeckmann.de> for reporting this bug.

 -- Ben Pfaff <pfaffben@debian.org>  Fri, 20 Jul 2012 22:33:19 -0700

openvswitch (1.4.2+git20120612-4) unstable; urgency=low

  * debian/openvswitch-switch.init: Do not modify iptables rules.  Closes:
    #680537.  Thanks to Bastian Blank <waldi@debian.org> for reporting
    this bug.

 -- Ben Pfaff <pfaffben@debian.org>  Mon, 16 Jul 2012 12:56:37 -0700

openvswitch (1.4.2+git20120612-3) unstable; urgency=low

  * debian/control: Add "netbase" dependency to ensure that /etc/protocols
    is available.  Closes: #680537.  Thanks to Bastian Blank <waldi@debian.org>
    for reporting this bug.

 -- Ben Pfaff <pfaffben@debian.org>  Mon, 09 Jul 2012 09:50:03 -0700

openvswitch (1.4.2+git20120612-2) unstable; urgency=low

  * Apply upstream commit that enables DKMS to automatically build for the
    running kernel, which seems to be common practice in DMS packaging
    (launchpad bug #962189)

 -- Ben Pfaff <pfaffben@debian.org>  Tue, 19 Jun 2012 09:40:53 -0700

openvswitch (1.4.2+git20120612-1) unstable; urgency=low

  * New upstream version fixing the following bugs:
    o Crash fixes:
      - ofproto: Fix use after free in ofoperation_complete().
      - odp-util: Update ODPUTIL_FLOW_KEY_BYTES for current kernel flow format.
      - datapath: Check correct return value from skb_gso_segment().
    o Possible serious malfunctions:
      - dpif-netdev: allow for proper destruction of netdev datapaths.
      - datapath: Validation of IPv6 set port action uses IPv4 header.
    o Rare annoying corner case:
      - odp-util: Fix parsing of actions encapsulated within "sample" actions.
    o Bugs with unknown impact:
      - Correctly set destination MAC in mf_set_flow_value().

