=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,12 @@
 CFLAGS += -O2
 endif
 
+ifeq ($(BUILD_NUMBER),0)
+BUILD_NUMBER_OPTION =
+else
+BUILD_NUMBER_OPTION = --with-build-number=$(BUILD_NUMBER)
+endif
+
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
@@ -41,7 +47,8 @@
 	cd _debian && ( \
 		test -e Makefile || \
 		../configure --prefix=/usr --localstatedir=/var --enable-ssl \
-			--sysconfdir=/etc --with-build-number=$(BUILD_NUMBER) \
+			--sysconfdir=/etc $(BUILD_NUMBER_OPTION) \
+			--with-dbdir=/var/lib/openvswitch \
 			CFLAGS="$(CFLAGS)" $(DATAPATH_CONFIGURE_OPTS))
 	touch configure-stamp
 
@@ -72,6 +79,7 @@
 	rm -rf _debian
 	[ ! -f Makefile ] || $(MAKE) distclean
 	dh_clean 
+	rm -f python/ovs/*.pyc python/ovs/db/*.pyc
 
 install: install-indep install-arch
 install-indep: build-indep
@@ -97,6 +105,16 @@
 	# Prepare dkms.conf from the dkms.conf.in template
 	sed "s/__VERSION__/$(DEB_UPSTREAM_VERSION)/g" debian/dkms.conf.in > debian/$(pdkms)/usr/src/$(PACKAGE)-$(DEB_UPSTREAM_VERSION)/dkms.conf
 
+	# We don't need the debian folder in there, just upstream sources...
+	rm -rf debian/$(pdkms)/usr/src/$(PACKAGE)-$(DEB_UPSTREAM_VERSION)/debian
+	# We don't need the rhel stuff in there either
+	rm -rf debian/$(pdkms)/usr/src/$(PACKAGE)-$(DEB_UPSTREAM_VERSION)/rhel
+	# And we should also clean useless license files, which are already
+	# descriped in our debian/copyright anyway.
+	rm -f debian/$(pdkms)/usr/src/$(PACKAGE)-$(DEB_UPSTREAM_VERSION)/COPYING \
+		debian/$(pdkms)/usr/src/$(PACKAGE)-$(DEB_UPSTREAM_VERSION)/ovsdb/ovsdbmonitor/COPYING \
+		debian/$(pdkms)/usr/src/$(PACKAGE)-$(DEB_UPSTREAM_VERSION)/xenserver/LICENSE
+
 install-arch: build-arch
 	dh_testdir
 	dh_testroot
@@ -117,8 +135,7 @@
 	dh_installexamples
 	dh_installdebconf
 	dh_installlogrotate
-	dh_installinit -R -Nopenvswitch-switch
-	dh_installinit -R -popenvswitch-switch --error-handler=init_script_error
+	dh_installinit -R
 	dh_installcron
 	dh_installman --language=C
 	dh_link
